class Saaz::Configuration
  attr_accessor :plans, :publishable_key, :customer_resource_class

  def api_key=(v)
    Stripe.api_key = v
  end

  def api_key
    Stripe.api_key
  end

  def plans
    @plans || {}
  end

  def customer_resource_class
    @customer_resource_class || Saaz::Customer
  end

  def find_or_create_plans
    plans.each do |key, plan_params|
      begin
        Stripe::Plan.retrieve(key.to_s)
      rescue Stripe::InvalidRequestError # Plan does not exist
        plan_params[:id] ||= key.to_s
        Stripe::Plan.create plan_params
      end
    end
  end
end
